# blockAllocationTableEntry Struct Reference

`#include <ubixfs.h>`

## Data Fields

long | attributes
long | nextBlock
long | realSector
long | reserved

## Detailed Description

Definition at line 95 of file ubixfs.h.

## Field Documentation

long blockAllocationTableEntry::attributes

Definition at line 96 of file ubixfs.h.

Referenced by freeBlocks(), and getFreeBlocks().

long blockAllocationTableEntry::nextBlock

Definition at line 98 of file ubixfs.h.

Referenced by freeBlocks(), getFreeBlocks(), ubixfs_loadData(), writeFileByte(), and writeUbixFS().

long blockAllocationTableEntry::realSector

Definition at line 97 of file ubixfs.h.

Referenced by ubixfs_loadData(), ubixFSmkDir(), and writeUbixFS().

long blockAllocationTableEntry::reserved

Definition at line 99 of file ubixfs.h.

The documentation for this struct was generated from the following file:

- src/sys/include/ubixfs/ubixfs.h